curl -X POST https://api.helvcore.ch/v1/manual-payments/{payment_id}/reverse \
-H "Authorization: Bearer $HELVCORE_API_KEY" \
-H "Idempotency-Key: $(uuidgen)" \
-H "Content-Type: application/json" \
-d '{
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"reason": "string",
"correction": {
"amount": {
"amount_minor": 123,
"currency": "CHF"
},
"event_date": "2026-03-31",
"source_channel": "manual",
"reference": "string",
"source_evidence_sha256": "string"
}
}'const res = await fetch("https://api.helvcore.ch/v1/manual-payments/{payment_id}/reverse", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.HELVCORE_API_KEY}`,
"Idempotency-Key": crypto.randomUUID(),
"Content-Type": "application/json"
},
body: JSON.stringify({
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"reason": "string",
"correction": {
"amount": {
"amount_minor": 123,
"currency": "CHF"
},
"event_date": "2026-03-31",
"source_channel": "manual",
"reference": "string",
"source_evidence_sha256": "string"
}
})
});
const data = await res.json();import os, requests, uuid
headers = {"Authorization": f"Bearer {os.environ['HELVCORE_API_KEY']}"}
headers["Idempotency-Key"] = str(uuid.uuid4())
headers["Content-Type"] = "application/json"
res = requests.post("https://api.helvcore.ch/v1/manual-payments/{payment_id}/reverse", headers=headers, json={
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"reason": "string",
"correction": {
"amount": {
"amount_minor": 123,
"currency": "CHF"
},
"event_date": "2026-03-31",
"source_channel": "manual",
"reference": "string",
"source_evidence_sha256": "string"
}
})
data = res.json()
curl -X POST https://api.helvcore.ch/v1/manual-payments/{payment_id}/reverse \
-H "Authorization: Bearer $HELVCORE_API_KEY" \
-H "Idempotency-Key: $(uuidgen)" \
-H "Content-Type: application/json" \
-d '{
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"reason": "string",
"correction": {
"amount": {
"amount_minor": 123,
"currency": "CHF"
},
"event_date": "2026-03-31",
"source_channel": "manual",
"reference": "string",
"source_evidence_sha256": "string"
}
}'
202
{
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"reason": "string",
"correction": {
"amount": {
"amount_minor": 123,
"currency": "CHF"
},
"event_date": "2026-03-31",
"source_channel": "manual",
"reference": "string",
"source_evidence_sha256": "string"
}
}
{
"allocation_status": "not_supported_in_v0_1",
"amount": {
"amount_minor": 123,
"currency": "CHF"
},
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"event_date": "2026-03-31",
"evidence_only": true,
"evidence_sha256": "string",
"id": "string",
"object": "manual_payment",
"source_channel": "string",
"state": "recorded",
"correction_payment_id": "string",
"intents": [
{}
]
}
{
"end_customer_id": "00000000-0000-4000-8000-000000000000",
"reason": "string",
"correction": {
"amount": {
"amount_minor": 123,
"currency": "CHF"
},
"event_date": "2026-03-31",
"source_channel": "manual",
"reference": "string",
"source_evidence_sha256": "string"
}
}